XvSetPortAttribute(3X)

Name
XvSetPortAttribute - sets an attribute of a video port

Syntax
#include <X11/extensions/Xvlib.h>

XvSetPortAttribute(dpy, port, attribute, value)

Display *dpy;
XvPortID port;
Atom attribute;
int value;

Arguments

dpy Specifies the display screen on which the Xv Server is to accept requests from Xv clients. If the display option is not specified, Xv uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

port
    Specifies the port for which the attribute is to be used.

attribute
    Identifies the port attribute to be set by this request. Can be one of the table entries under the column "String," below.

value
    Identifies the value to which attribute is to be set. Can be one of the table entries under the column "Type," below.

Description
XvSetPortAttribute(3X) permits a client to set the port attribute to specified values. This request supports the following values:

Attribute String        Type             Default

"XV_ENCODING"           XvEncodingID     Server dependent
"XV_HUE"                [-1000...1000]   0
"XV_SATURATION"         [-1000...1000]   0
"XV_BRIGHTNESS"         [-1000...1000]   0
"XV_CONTRAST"           [-1000...1000]   0

The supplied encoding must be one of the encodings listed for the adaptor, otherwise an Encoding error results.

If the adaptor does not support the exact hue, saturation, brightness, and contrast levels supplied, the closest levels supported are assumed. Use XvGetPortAttribute(3X) to query the resulting levels.

When an XvSetPortAttribute(3X) request is processed, a PortControlNotify(3X) event is generated for all clients that have requested for port changes using XvSelectPortNotify(3X).

Returned Values

[Success]
    Returned if XvSetPortAttribute(3X) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvSelectVideoNotify(3X) failed to allocate memory to process the request.

Diagnostics

[XvBadPort]
    Generated if the requested port does not exist.

[XvBadEncoding]
    Generated if an encoding is specified that does not exist.

[BadMatch]
    Generated if the requested attribute atom does not specify an attribute supported by the adaptor.

See Also
XvGetPortAttribute(3X), XvSelectPortNotify(3X), XvPortNotify(3X)